import { SimpleLocalClient } from '../../core/index.js';
import type { IMqttStatestreamConfig } from './mqtt_statestream.types.js';
import { mqttStatestreamProfile } from './mqtt_statestream.types.js';

export class MqttStatestreamClient extends SimpleLocalClient<IMqttStatestreamConfig> {
  constructor(configArg: IMqttStatestreamConfig) {
    super(mqttStatestreamProfile, configArg);
  }
}
